GETZONE(1)

NAME
yaku-getzone - zone transfer (AXFR) tool for yaku-ns

SYNOPSIS
yaku-getzone -z <zone> -s <server IP> [-p <port>]

-z  The zone to download.

-s  The IP address of the master server.

-p  Specify a different destination port, the default is port 53.

DESCRIPTION
This manual page documents briefly the yaku-getzone zone transfer tool. This is a trivial utility that performs an AXFR request over TCP to some primary DNS server and produces as output the zone in a format compatible with the Yaku-NS configuration file. You can use it to create a rudimental secondary DNS (slave).

EXAMPLES

Initiate zone transfer for the test.org zone from the DNS server 1.2.3.4
yaku-getzone -z test.org -s 1.2.3.4 > slave-db.test.org

    Then you need to send a SIGHUP to Yaku-NS to force a local RRs reload. Obviously you need to add an include keyword in the yaku-ns.conf to include the zone. See the example configuration file for more information.

SEE ALSO
yaku-ns(1).

AUTHOR
yaku-getzone was written by Salvatore Sanfilippo <antirez@gmail.com>.

This manual page was written by Gürkan Myczko <alex@aiei.ch>, for the Debian project (but may be used by others).